---
title: pydo.nfs.create()
description: Create a new NFS share
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/nfs/create/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.nfs.create()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.nfs.create(
    body={
        "name": "my-nfs-share",
        "size_gib": 50,
        "region": "atl1",
        ...,
    },
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To create a new NFS share, send a POST request to [`/v2/nfs`](https://docs.digitalocean.com/reference/api/reference/nfs/index.html.md#nfs_create).

## Parameters

`name` string required

Example: `my-nfs-share`

The human-readable name of the share.

`size_gib` integer required

Example: `50`

The desired/provisioned size of the share in GiB (Gibibytes). Must be >= 50.

`region` string required

Example: `atl1`

The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.

`vpc_ids` array of strings required

Example: `['796c6fe3-2a1d-4da2-9f3e-38239827dc91']`

List of VPC IDs that should be able to access the share.

`performance_tier` string optional

Example: `standard`

The performance tier of the share.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "sammy-share-drive",
  "size_gib": 1024,
  "region": "atl1",
  "vpc_ids": [
    "796c6fe3-2a1d-4da2-9f3e-38239827dc91"
  ],
  "performance_tier": "standard"
}

resp = client.nfs.create(body=req)
```

## Response Example

## Show Response Example

```json
{
  "share": {
    "id": "0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
    "name": "sammy-share-drive",
    "size_gib": 1024,
    "region": "atl1",
    "status": "ACTIVE",
    "created_at": "2023-01-01T00:00:00Z",
    "vpc_ids": [
      "796c6fe3-2a1d-4da2-9f3e-38239827dc91"
    ],
    "performance_tier": "PERFORMANCE_TIER_HIGH",
    "mount_path": "/123456/your-nfs-share-uuid",
    "host": "10.128.32.2",
    "access_points": []
  }
}
```

## More Information

See [`/v2/nfs`](https://docs.digitalocean.com/reference/api/reference/nfs/index.html.md#nfs_create) in the API reference for additional detail on responses, headers, parameters, and more.